#include "configmenu.h"

#include <enginend/scenes/node2d.h>
Font forefont;
int configmenupage=0; // 0 is before the mainpage is showing. aka pause menu/main menu when start game
enginend::group mainpage= enginend::group(
	{
		new enginend::nodes::labeledbutton("video",nullptr,{255,127,0,255},{0,0,0,0},100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
		new enginend::nodes::labeledbutton("sound",nullptr,{255,127,0,255},{0,0,0,0},100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
		new enginend::nodes::labeledbutton("input",nullptr,{255,127,0,255},{0,0,0,0},100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
		
	}
);

enginend::group graphics= enginend::group(
	{
		new enginend::nodes::labeledbutton("fullscreen",nullptr,{255,127,0,255},{0,0,0,0},100,100,0,0,std::function<void()>([]() {
			
		}),forefont,32),
	}
);
enginend::group sound= enginend::group(
	{
		
	}
);
enginend::group controls= enginend::group(
	{
		
	}
);
void initconfigmenu() {
	forefont=LoadFont(AT("res/fonts/dos.fnt"));
}